package com.steering.pss.sale.order.model;

/**
 * 数据库表CRAFT_ORD_DESIGN_STD_SIC所对应的实体类（生成工具：代码生成工具4.0
 * 访问地址：http://172.16.2.128/tool/）
 * 
 * @author tgcx-test date 2017-01-11
 */
@SuppressWarnings("serial")
public class CraftOrdDesignStdSicEntity implements java.io.Serializable {
	/**
	 * DESGIN_KEY
	 */
	private String desginKey = "";
	/**
	 * 公差标准索引号
	 */
	private String sic = "";
	/**
	 * 协议或Alpha代码(用途码)
	 */
	private String useCode = "";
	/**
	 * 协议或Alpha描述(用途描述)
	 */
	private String useDesc = "";
	/**
	 * 是否特殊要求(0:交付标准;1:特殊要求;2:内控标准)
	 */
	private String speclFl = "";
	/**
	 * 序号
	 */
	private String indexSeq = "";
	/**
	 * 公差项代码(主项)(4040)
	 */
	private String biasCode = "";
	/**
	 * 公差项名称(主项)
	 */
	private String biasName = "";
	/**
	 * 精度等级(4041)
	 */
	private String lv = "";
	/**
	 * 公差约束项一代码(4003)
	 */
	private String biasCodeZ = "";
	/**
	 * 公差约束项一名称
	 */
	private String biasNameZ = "";
	/**
	 * 公差约束项一下限符号
	 */
	private String zminSign = "";
	/**
	 * 公差约束项一下限值
	 */
	private String zmin = "";
	/**
	 * 公差约束项一上限符号
	 */
	private String zmaxSign = "";
	/**
	 * 公差约束项一上限值
	 */
	private String zmax = "";
	/**
	 * 公差约束项二代码(4003)
	 */
	private String biasCodeC = "";
	/**
	 * 公差约束项二名称
	 */
	private String biasNameC = "";
	/**
	 * 公差约束项二下限符号
	 */
	private String cminSign = "";
	/**
	 * 公差约束项二下限值
	 */
	private String cmin = "";
	/**
	 * 公差约束项二上限符号
	 */
	private String cmaxSign = "";
	/**
	 * 公差约束项二上限值
	 */
	private String cmax = "";
	/**
	 * 公差约束项三代码(4003)
	 */
	private String biasCodeS = "";
	/**
	 * 公差约束项三名称
	 */
	private String biasNameS = "";
	/**
	 * 公差约束项三下限符号
	 */
	private String sminSign = "";
	/**
	 * 公差约束项三下限值
	 */
	private String smin = "";
	/**
	 * 公差约束项三上限符号
	 */
	private String smaxSign = "";
	/**
	 * 公差约束项三上限值
	 */
	private String smax = "";
	/**
	 * 是否必检项(1:是，0：否)
	 */
	private String ischeck = "";
	/**
	 * 标准负值(mm)
	 */
	private String stdMinVal = "";
	/**
	 * 标准正值(mm)
	 */
	private String stdMaxVal = "";
	/**
	 * 标准负值(in)
	 */
	private String stdMinIn = "";
	/**
	 * 标准正值(in)
	 */
	private String stdMaxIn = "";
	/**
	 * 标准负值(%)
	 */
	private String stdMinPercent = "";
	/**
	 * 标准正值(%)
	 */
	private String stdMaxPercent = "";
	/**
	 * 标准公式负值(mm)
	 */
	private String stdMinFormula = "";
	/**
	 * 标准公式正值(mm)
	 */
	private String stdMaxFormula = "";
	/**
	 * 取小值
	 */
	private String stdMinFormulaV = "";
	/**
	 * 取大值
	 */
	private String stdMaxFormulaV = "";
	/**
	 * 标准备注
	 */
	private String stdmemo = "";
	/**
	 * 分组索引号(同一分组的为多选一项)
	 */
	private String groupSeq = "";
	/**
	 * 制程号(内控用)
	 */
	private String mscPline = "";
	/**
	 * 工序号(内控用)
	 */
	private String processCode = "";
	/**
	 * 创建人
	 */
	private String createName = "";
	/**
	 * 创建时间
	 */
	private String createTime = "";
	/**
	 * 数据来源 '0'：冶金规范 1:轧管排产录入
	 */
	private String craftSource = "";
	/**
	 * 修改人
	 */
	private String updateName = "";
	/**
	 * 修改时间
	 */
	private String updateTime = "";
	/**
	 * 删除人
	 */
	private String deleteName = "";
	/**
	 * 删除时间
	 */
	private String deleteTime = "";

	/**
	 * DESGIN_KEY
	 * 
	 * @return value
	 */
	public String getDesginKey() {
		return desginKey;
	}

	/**
	 * DESGIN_KEY
	 * 
	 * @param desginKey
	 *            value
	 */
	public void setDesginKey(String desginKey) {
		this.desginKey = desginKey;
	}

	/**
	 * 公差标准索引号
	 * 
	 * @return value
	 */
	public String getSic() {
		return sic;
	}

	/**
	 * 公差标准索引号
	 * 
	 * @param sic
	 *            value
	 */
	public void setSic(String sic) {
		this.sic = sic;
	}

	/**
	 * 协议或Alpha代码(用途码)
	 * 
	 * @return value
	 */
	public String getUseCode() {
		return useCode;
	}

	/**
	 * 协议或Alpha代码(用途码)
	 * 
	 * @param useCode
	 *            value
	 */
	public void setUseCode(String useCode) {
		this.useCode = useCode;
	}

	/**
	 * 协议或Alpha描述(用途描述)
	 * 
	 * @return value
	 */
	public String getUseDesc() {
		return useDesc;
	}

	/**
	 * 协议或Alpha描述(用途描述)
	 * 
	 * @param useDesc
	 *            value
	 */
	public void setUseDesc(String useDesc) {
		this.useDesc = useDesc;
	}

	/**
	 * 是否特殊要求(0:交付标准;1:特殊要求;2:内控标准)
	 * 
	 * @return value
	 */
	public String getSpeclFl() {
		return speclFl;
	}

	/**
	 * 是否特殊要求(0:交付标准;1:特殊要求;2:内控标准)
	 * 
	 * @param speclFl
	 *            value
	 */
	public void setSpeclFl(String speclFl) {
		this.speclFl = speclFl;
	}

	/**
	 * 序号
	 * 
	 * @return value
	 */
	public String getIndexSeq() {
		return indexSeq;
	}

	/**
	 * 序号
	 * 
	 * @param indexSeq
	 *            value
	 */
	public void setIndexSeq(String indexSeq) {
		this.indexSeq = indexSeq;
	}

	/**
	 * 公差项代码(主项)(4040)
	 * 
	 * @return value
	 */
	public String getBiasCode() {
		return biasCode;
	}

	/**
	 * 公差项代码(主项)(4040)
	 * 
	 * @param biasCode
	 *            value
	 */
	public void setBiasCode(String biasCode) {
		this.biasCode = biasCode;
	}

	/**
	 * 公差项名称(主项)
	 * 
	 * @return value
	 */
	public String getBiasName() {
		return biasName;
	}

	/**
	 * 公差项名称(主项)
	 * 
	 * @param biasName
	 *            value
	 */
	public void setBiasName(String biasName) {
		this.biasName = biasName;
	}

	/**
	 * 精度等级(4041)
	 * 
	 * @return value
	 */
	public String getLv() {
		return lv;
	}

	/**
	 * 精度等级(4041)
	 * 
	 * @param lv
	 *            value
	 */
	public void setLv(String lv) {
		this.lv = lv;
	}

	/**
	 * 公差约束项一代码(4003)
	 * 
	 * @return value
	 */
	public String getBiasCodeZ() {
		return biasCodeZ;
	}

	/**
	 * 公差约束项一代码(4003)
	 * 
	 * @param biasCodeZ
	 *            value
	 */
	public void setBiasCodeZ(String biasCodeZ) {
		this.biasCodeZ = biasCodeZ;
	}

	/**
	 * 公差约束项一名称
	 * 
	 * @return value
	 */
	public String getBiasNameZ() {
		return biasNameZ;
	}

	/**
	 * 公差约束项一名称
	 * 
	 * @param biasNameZ
	 *            value
	 */
	public void setBiasNameZ(String biasNameZ) {
		this.biasNameZ = biasNameZ;
	}

	/**
	 * 公差约束项一下限符号
	 * 
	 * @return value
	 */
	public String getZminSign() {
		return zminSign;
	}

	/**
	 * 公差约束项一下限符号
	 * 
	 * @param zminSign
	 *            value
	 */
	public void setZminSign(String zminSign) {
		this.zminSign = zminSign;
	}

	/**
	 * 公差约束项一下限值
	 * 
	 * @return value
	 */
	public String getZmin() {
		return zmin;
	}

	/**
	 * 公差约束项一下限值
	 * 
	 * @param zmin
	 *            value
	 */
	public void setZmin(String zmin) {
		this.zmin = zmin;
	}

	/**
	 * 公差约束项一上限符号
	 * 
	 * @return value
	 */
	public String getZmaxSign() {
		return zmaxSign;
	}

	/**
	 * 公差约束项一上限符号
	 * 
	 * @param zmaxSign
	 *            value
	 */
	public void setZmaxSign(String zmaxSign) {
		this.zmaxSign = zmaxSign;
	}

	/**
	 * 公差约束项一上限值
	 * 
	 * @return value
	 */
	public String getZmax() {
		return zmax;
	}

	/**
	 * 公差约束项一上限值
	 * 
	 * @param zmax
	 *            value
	 */
	public void setZmax(String zmax) {
		this.zmax = zmax;
	}

	/**
	 * 公差约束项二代码(4003)
	 * 
	 * @return value
	 */
	public String getBiasCodeC() {
		return biasCodeC;
	}

	/**
	 * 公差约束项二代码(4003)
	 * 
	 * @param biasCodeC
	 *            value
	 */
	public void setBiasCodeC(String biasCodeC) {
		this.biasCodeC = biasCodeC;
	}

	/**
	 * 公差约束项二名称
	 * 
	 * @return value
	 */
	public String getBiasNameC() {
		return biasNameC;
	}

	/**
	 * 公差约束项二名称
	 * 
	 * @param biasNameC
	 *            value
	 */
	public void setBiasNameC(String biasNameC) {
		this.biasNameC = biasNameC;
	}

	/**
	 * 公差约束项二下限符号
	 * 
	 * @return value
	 */
	public String getCminSign() {
		return cminSign;
	}

	/**
	 * 公差约束项二下限符号
	 * 
	 * @param cminSign
	 *            value
	 */
	public void setCminSign(String cminSign) {
		this.cminSign = cminSign;
	}

	/**
	 * 公差约束项二下限值
	 * 
	 * @return value
	 */
	public String getCmin() {
		return cmin;
	}

	/**
	 * 公差约束项二下限值
	 * 
	 * @param cmin
	 *            value
	 */
	public void setCmin(String cmin) {
		this.cmin = cmin;
	}

	/**
	 * 公差约束项二上限符号
	 * 
	 * @return value
	 */
	public String getCmaxSign() {
		return cmaxSign;
	}

	/**
	 * 公差约束项二上限符号
	 * 
	 * @param cmaxSign
	 *            value
	 */
	public void setCmaxSign(String cmaxSign) {
		this.cmaxSign = cmaxSign;
	}

	/**
	 * 公差约束项二上限值
	 * 
	 * @return value
	 */
	public String getCmax() {
		return cmax;
	}

	/**
	 * 公差约束项二上限值
	 * 
	 * @param cmax
	 *            value
	 */
	public void setCmax(String cmax) {
		this.cmax = cmax;
	}

	/**
	 * 公差约束项三代码(4003)
	 * 
	 * @return value
	 */
	public String getBiasCodeS() {
		return biasCodeS;
	}

	/**
	 * 公差约束项三代码(4003)
	 * 
	 * @param biasCodeS
	 *            value
	 */
	public void setBiasCodeS(String biasCodeS) {
		this.biasCodeS = biasCodeS;
	}

	/**
	 * 公差约束项三名称
	 * 
	 * @return value
	 */
	public String getBiasNameS() {
		return biasNameS;
	}

	/**
	 * 公差约束项三名称
	 * 
	 * @param biasNameS
	 *            value
	 */
	public void setBiasNameS(String biasNameS) {
		this.biasNameS = biasNameS;
	}

	/**
	 * 公差约束项三下限符号
	 * 
	 * @return value
	 */
	public String getSminSign() {
		return sminSign;
	}

	/**
	 * 公差约束项三下限符号
	 * 
	 * @param sminSign
	 *            value
	 */
	public void setSminSign(String sminSign) {
		this.sminSign = sminSign;
	}

	/**
	 * 公差约束项三下限值
	 * 
	 * @return value
	 */
	public String getSmin() {
		return smin;
	}

	/**
	 * 公差约束项三下限值
	 * 
	 * @param smin
	 *            value
	 */
	public void setSmin(String smin) {
		this.smin = smin;
	}

	/**
	 * 公差约束项三上限符号
	 * 
	 * @return value
	 */
	public String getSmaxSign() {
		return smaxSign;
	}

	/**
	 * 公差约束项三上限符号
	 * 
	 * @param smaxSign
	 *            value
	 */
	public void setSmaxSign(String smaxSign) {
		this.smaxSign = smaxSign;
	}

	/**
	 * 公差约束项三上限值
	 * 
	 * @return value
	 */
	public String getSmax() {
		return smax;
	}

	/**
	 * 公差约束项三上限值
	 * 
	 * @param smax
	 *            value
	 */
	public void setSmax(String smax) {
		this.smax = smax;
	}

	/**
	 * 是否必检项(1:是，0：否)
	 * 
	 * @return value
	 */
	public String getIscheck() {
		return ischeck;
	}

	/**
	 * 是否必检项(1:是，0：否)
	 * 
	 * @param ischeck
	 *            value
	 */
	public void setIscheck(String ischeck) {
		this.ischeck = ischeck;
	}

	/**
	 * 标准负值(mm)
	 * 
	 * @return value
	 */
	public String getStdMinVal() {
		return stdMinVal;
	}

	/**
	 * 标准负值(mm)
	 * 
	 * @param stdMinVal
	 *            value
	 */
	public void setStdMinVal(String stdMinVal) {
		this.stdMinVal = stdMinVal;
	}

	/**
	 * 标准正值(mm)
	 * 
	 * @return value
	 */
	public String getStdMaxVal() {
		return stdMaxVal;
	}

	/**
	 * 标准正值(mm)
	 * 
	 * @param stdMaxVal
	 *            value
	 */
	public void setStdMaxVal(String stdMaxVal) {
		this.stdMaxVal = stdMaxVal;
	}

	/**
	 * 标准负值(in)
	 * 
	 * @return value
	 */
	public String getStdMinIn() {
		return stdMinIn;
	}

	/**
	 * 标准负值(in)
	 * 
	 * @param stdMinIn
	 *            value
	 */
	public void setStdMinIn(String stdMinIn) {
		this.stdMinIn = stdMinIn;
	}

	/**
	 * 标准正值(in)
	 * 
	 * @return value
	 */
	public String getStdMaxIn() {
		return stdMaxIn;
	}

	/**
	 * 标准正值(in)
	 * 
	 * @param stdMaxIn
	 *            value
	 */
	public void setStdMaxIn(String stdMaxIn) {
		this.stdMaxIn = stdMaxIn;
	}

	/**
	 * 标准负值(%)
	 * 
	 * @return value
	 */
	public String getStdMinPercent() {
		return stdMinPercent;
	}

	/**
	 * 标准负值(%)
	 * 
	 * @param stdMinPercent
	 *            value
	 */
	public void setStdMinPercent(String stdMinPercent) {
		this.stdMinPercent = stdMinPercent;
	}

	/**
	 * 标准正值(%)
	 * 
	 * @return value
	 */
	public String getStdMaxPercent() {
		return stdMaxPercent;
	}

	/**
	 * 标准正值(%)
	 * 
	 * @param stdMaxPercent
	 *            value
	 */
	public void setStdMaxPercent(String stdMaxPercent) {
		this.stdMaxPercent = stdMaxPercent;
	}

	/**
	 * 标准公式负值(mm)
	 * 
	 * @return value
	 */
	public String getStdMinFormula() {
		return stdMinFormula;
	}

	/**
	 * 标准公式负值(mm)
	 * 
	 * @param stdMinFormula
	 *            value
	 */
	public void setStdMinFormula(String stdMinFormula) {
		this.stdMinFormula = stdMinFormula;
	}

	/**
	 * 标准公式正值(mm)
	 * 
	 * @return value
	 */
	public String getStdMaxFormula() {
		return stdMaxFormula;
	}

	/**
	 * 标准公式正值(mm)
	 * 
	 * @param stdMaxFormula
	 *            value
	 */
	public void setStdMaxFormula(String stdMaxFormula) {
		this.stdMaxFormula = stdMaxFormula;
	}

	/**
	 * 取小值
	 * 
	 * @return value
	 */
	public String getStdMinFormulaV() {
		return stdMinFormulaV;
	}

	/**
	 * 取小值
	 * 
	 * @param stdMinFormulaV
	 *            value
	 */
	public void setStdMinFormulaV(String stdMinFormulaV) {
		this.stdMinFormulaV = stdMinFormulaV;
	}

	/**
	 * 取大值
	 * 
	 * @return value
	 */
	public String getStdMaxFormulaV() {
		return stdMaxFormulaV;
	}

	/**
	 * 取大值
	 * 
	 * @param stdMaxFormulaV
	 *            value
	 */
	public void setStdMaxFormulaV(String stdMaxFormulaV) {
		this.stdMaxFormulaV = stdMaxFormulaV;
	}

	/**
	 * 标准备注
	 * 
	 * @return value
	 */
	public String getStdmemo() {
		return stdmemo;
	}

	/**
	 * 标准备注
	 * 
	 * @param stdmemo
	 *            value
	 */
	public void setStdmemo(String stdmemo) {
		this.stdmemo = stdmemo;
	}

	/**
	 * 分组索引号(同一分组的为多选一项)
	 * 
	 * @return value
	 */
	public String getGroupSeq() {
		return groupSeq;
	}

	/**
	 * 分组索引号(同一分组的为多选一项)
	 * 
	 * @param groupSeq
	 *            value
	 */
	public void setGroupSeq(String groupSeq) {
		this.groupSeq = groupSeq;
	}

	/**
	 * 制程号(内控用)
	 * 
	 * @return value
	 */
	public String getMscPline() {
		return mscPline;
	}

	/**
	 * 制程号(内控用)
	 * 
	 * @param mscPline
	 *            value
	 */
	public void setMscPline(String mscPline) {
		this.mscPline = mscPline;
	}

	/**
	 * 工序号(内控用)
	 * 
	 * @return value
	 */
	public String getProcessCode() {
		return processCode;
	}

	/**
	 * 工序号(内控用)
	 * 
	 * @param processCode
	 *            value
	 */
	public void setProcessCode(String processCode) {
		this.processCode = processCode;
	}

	/**
	 * 创建人
	 * 
	 * @return value
	 */
	public String getCreateName() {
		return createName;
	}

	/**
	 * 创建人
	 * 
	 * @param createName
	 *            value
	 */
	public void setCreateName(String createName) {
		this.createName = createName;
	}

	/**
	 * 创建时间
	 * 
	 * @return value
	 */
	public String getCreateTime() {
		return createTime;
	}

	/**
	 * 创建时间
	 * 
	 * @param createTime
	 *            value
	 */
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	/**
	 * 数据来源 '0'：冶金规范 1:轧管排产录入
	 * 
	 * @return value
	 */
	public String getCraftSource() {
		return craftSource;
	}

	/**
	 * 数据来源 '0'：冶金规范 1:轧管排产录入
	 * 
	 * @param craftSource
	 *            value
	 */
	public void setCraftSource(String craftSource) {
		this.craftSource = craftSource;
	}

	/**
	 * 修改人
	 * 
	 * @return value
	 */
	public String getUpdateName() {
		return updateName;
	}

	/**
	 * 修改人
	 * 
	 * @param updateName
	 *            value
	 */
	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	/**
	 * 修改时间
	 * 
	 * @return value
	 */
	public String getUpdateTime() {
		return updateTime;
	}

	/**
	 * 修改时间
	 * 
	 * @param updateTime
	 *            value
	 */
	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}

	/**
	 * 删除人
	 * 
	 * @return value
	 */
	public String getDeleteName() {
		return deleteName;
	}

	/**
	 * 删除人
	 * 
	 * @param deleteName
	 *            value
	 */
	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	/**
	 * 删除时间
	 * 
	 * @return value
	 */
	public String getDeleteTime() {
		return deleteTime;
	}

	/**
	 * 删除时间
	 * 
	 * @param deleteTime
	 *            value
	 */
	public void setDeleteTime(String deleteTime) {
		this.deleteTime = deleteTime;
	}
}
